// ToffeeMachineDlg.h : header file
//

#if !defined(AFX_TOFFEEMACHINEDLG_H__033297DA_AEA4_4B2E_8BCE_517E78B74EE4__INCLUDED_)
#define AFX_TOFFEEMACHINEDLG_H__033297DA_AEA4_4B2E_8BCE_517E78B74EE4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxtempl.h>

/////////////////////////////////////////////////////////////////////////////
// CToffeeMachineDlg dialog

class CToffeeMachineDlg : public CDialog
{
// Construction
public:
 
	typedef enum _Coin 
	{
		coin10,
		coin50,
		coin100,
		coinX
	} COIN;

	CList<COIN,COIN> m_PaybackCoinList;  // Coins in pay back tray.
	COIN m_PayBackCoin;  // A coin paid back.
	bool ItemEmpty;    // Indicate if there is no product to pick up, i.e. the empty bitmap is shown.


	CBitmap m_ProductPicEmpty;
	CBitmap m_ProductPicToffee;
	CBitmap m_ProductPicChocolate;
	CBitmap m_ProductPicGum;
	
	CToffeeMachineDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CToffeeMachineDlg)
	enum { IDD = IDD_TOFFEEMACHINE_DIALOG };
	CButton	m_PaidBack;
	CButton	m_Product;
	CButton	m_wndInsertCoin50;
	CButton	m_wndInsertCoin100;
	CButton	m_wndInsertCoin10;
	CButton	m_wndSelectToffee;
	CButton	m_wndSelectGum;
	CButton	m_wndSelectChocolate;
	CString	m_Display2;
	CString	m_Display1;
	UINT	m_PayBackVal;
	//}}AFX_DATA


	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CToffeeMachineDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void ReceiveSignals();
	HICON m_hIcon;


	char * GetFirstParameter( char *Parmstr );


	// Generated message map functions
	//{{AFX_MSG(CToffeeMachineDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonChocolate();
	afx_msg void OnButtonToffee();
	afx_msg void OnButtonGum();
	afx_msg void OnButtoncoin100();
	afx_msg void OnButtoncoin50();
	afx_msg void OnButtoncoin10();
	afx_msg void OnButtonUndo();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonProduct();
	afx_msg void OnButtonPaidback();
	afx_msg void OnShowsdl();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TOFFEEMACHINEDLG_H__033297DA_AEA4_4B2E_8BCE_517E78B74EE4__INCLUDED_)
