// ToffeeMachineDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ToffeeMachine.h"
#include "ToffeeMachineDlg.h"
#include "CSDLClient.h"
#include <direct.h>
#include <stdlib.h>
#include <stdio.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};



static int  duration=0;
static int durationcounter = 0;
static BOOL sending = FALSE;
static BOOL hidesdl = TRUE;


CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CToffeeMachineDlg dialog

CToffeeMachineDlg::CToffeeMachineDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CToffeeMachineDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CToffeeMachineDlg)
	m_Display2 = _T("");
	m_Display1 = _T("");
	m_PayBackVal = 0;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CToffeeMachineDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CToffeeMachineDlg)
	DDX_Control(pDX, IDC_BUTTON_PAIDBACK, m_PaidBack);
	DDX_Control(pDX, IDC_BUTTON_PRODUCT, m_Product);
	DDX_Control(pDX, IDC_BUTTONCOIN50, m_wndInsertCoin50);
	DDX_Control(pDX, IDC_BUTTONCOIN100, m_wndInsertCoin100);
	DDX_Control(pDX, IDC_BUTTONCOIN10, m_wndInsertCoin10);
	DDX_Control(pDX, IDC_BUTTON_TOFFEE, m_wndSelectToffee);
	DDX_Control(pDX, IDC_BUTTON_GUM, m_wndSelectGum);
	DDX_Control(pDX, IDC_BUTTON_CHOCOLATE, m_wndSelectChocolate);
	DDX_Text(pDX, IDC_EDIT_DISP2, m_Display2);
	DDX_Text(pDX, IDC_EDIT_DISP1, m_Display1);
	DDX_Text(pDX, IDC_EDIT_PAYBACK, m_PayBackVal);
	DDV_MinMaxUInt(pDX, m_PayBackVal, 0, 1000);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CToffeeMachineDlg, CDialog)
	//{{AFX_MSG_MAP(CToffeeMachineDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON_CHOCOLATE, OnButtonChocolate)
	ON_BN_CLICKED(IDC_BUTTON_TOFFEE, OnButtonToffee)
	ON_BN_CLICKED(IDC_BUTTON_GUM, OnButtonGum)
	ON_BN_CLICKED(IDC_BUTTONCOIN100, OnButtoncoin100)
	ON_BN_CLICKED(IDC_BUTTONCOIN50, OnButtoncoin50)
	ON_BN_CLICKED(IDC_BUTTONCOIN10, OnButtoncoin10)
	ON_BN_CLICKED(IDC_BUTTON_UNDO, OnButtonUndo)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_BUTTON_PRODUCT, OnButtonProduct)
	ON_BN_CLICKED(IDC_BUTTON_PAIDBACK, OnButtonPaidback)
	ON_BN_CLICKED(IDSHOWSDL, OnShowsdl)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CToffeeMachineDlg message handlers

BOOL CToffeeMachineDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
    m_Display1 = "";
	m_Display2 = "Ready";
	UpdateData(FALSE);

	m_wndSelectChocolate.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICONCHOC));
	m_wndSelectGum.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICONGUM));
	m_wndSelectToffee.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICONTOFFEE));

	m_wndInsertCoin10.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON_COIN10));
	m_wndInsertCoin100.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON1_COIN100));
	m_wndInsertCoin50.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON1_COIN50));

	m_PaidBack.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON_EMPTY));

	m_ProductPicEmpty.LoadBitmap(IDB_BITMAP_EMPTY);
	m_ProductPicToffee.LoadBitmap(IDB_BITMAP_TOFFEE);
	m_ProductPicChocolate.LoadBitmap(IDB_BITMAP_CHOCOLATE);
	m_ProductPicGum.LoadBitmap(IDB_BITMAP_GUM);

    m_Product.SetBitmap((HBITMAP) m_ProductPicEmpty);

	ItemEmpty = true;

    CString buffer = getenv("CSDLHOME");
 
    buffer += "\\Cinderella SDL\\samples\\toffee.cbf";

	if (!csaRegisterCBFFile(client,(char *)LPCTSTR(buffer), ""))  // Open Toffee Cinderella SDL cbf file. 
	{
		AfxMessageBox("The 'toffee.cbf' file was not found.");
		return FALSE;
	}     

	csaHideWindow(client,hidesdl);   // Show Cinderella SDL window

	if (csaStartSimulation(client))  // Start simulation
    {
		AfxMessageBox("The simulation could not be started.");
		return FALSE;
	}   
	
	durationcounter = 1000; // Provoke one immediately
	UINT tres = SetTimer(WM_TIMER,100,NULL);
	if (!tres)
		AfxMessageBox("Timer set failed!");	


	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CToffeeMachineDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	    CDialog::OnSysCommand(nID, lParam);
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CToffeeMachineDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CToffeeMachineDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CToffeeMachineDlg::OnButtonChocolate() 
{
    char *signalname = "button";  // The signal to be send. 
    char *qualifier = "\0";       // The qualifier of the signal. 
    long destination = 0;         // The destination process. 
    char *parameters = "'C'";     // The signal actual parameters.
    char *via = "InpC";           // The path (i.e. channel or gate) which the signal should go via. 

    if (csaSimulating(client) )
    {
    	sending = TRUE;
		if (!csaSendSignal(client,signalname, qualifier, destination, parameters, via) )
			AfxMessageBox("Selection of item Chocolate failed!");	
		sending = FALSE;
	}
	else
		AfxMessageBox("Simulation stopped!");		
}



char *CToffeeMachineDlg::GetFirstParameter( char *Parmstr )
{
	int ch = '\'';
	char *pdest;
	char *pdest2;
	int result;

	pdest = strchr( Parmstr, ch );
	pdest = (char *)(pdest + 1);
    pdest2 = strchr( pdest, ch );
	result = pdest2 - pdest;
	pdest[result] = '\0';
	return _strdup(pdest);
}


void CToffeeMachineDlg::ReceiveSignals()
{ char *signalname = NULL;
  char *parameters = NULL;
  if (sending) return;
  while (long Evno = csaGetNewEnvEvent(client,&signalname,&parameters) > 0)
  { 
    if (!strcmp(signalname,"disp1"))
		m_Display1 = GetFirstParameter(parameters);
	else
	if (!strcmp(signalname, "disp2"))
	{
		char *tstr = GetFirstParameter(parameters);
		if (!strcspn(tstr,"01234567689"))
			m_Display2 += CString(tstr);
		else
		if (strcmp(tstr,"Please wait"))
			m_Display2 = CString(tstr);
	}
	else
    if (!strcmp(signalname, "toffee"))
	{
		m_Product.SetBitmap((HBITMAP) m_ProductPicToffee);
		ItemEmpty = false;
		if (m_PayBackVal > 0)
		    m_Display2 = "Please take item and returned money";
		else
			m_Display2 = "Please take item";
	}
	else
    if (!strcmp(signalname, "chocolate"))
	{
		m_Product.SetBitmap((HBITMAP) m_ProductPicChocolate);
		ItemEmpty = false;
		if (m_PayBackVal > 0)
		    m_Display2 = "Please take item and returned money";
		else
			m_Display2 = "Please take item";
	}
	else
    if (!strcmp(signalname, "gum"))
	{
		m_Product.SetBitmap((HBITMAP) m_ProductPicGum);
		ItemEmpty = false;
		if (m_PayBackVal > 0)
		    m_Display2 = "Please take item and returned money";
		else
			m_Display2 = "Please take item";
	}
	else
	if (!strcmp(signalname, "coin10"))
	{
		m_PayBackCoin = coin10;
		if (m_PaybackCoinList.IsEmpty())
		  m_PaidBack.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON_COIN10));
		m_PaybackCoinList.AddTail(m_PayBackCoin);
		m_PayBackVal += 10;
	}
	if (!strcmp(signalname, "coin50"))
	{
		m_PayBackCoin = coin50;
		if (m_PaybackCoinList.IsEmpty())
		  m_PaidBack.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON1_COIN50));
		m_PaybackCoinList.AddTail(m_PayBackCoin);
		m_PayBackVal += 50;
	}
	if (!strcmp(signalname, "coin100"))
	{
		m_PayBackCoin = coin100;
		if (m_PaybackCoinList.IsEmpty())
		  m_PaidBack.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON1_COIN100));
		m_PaybackCoinList.AddTail(m_PayBackCoin);
		m_PayBackVal += 100;
	}
	if (!strcmp(signalname, "coinX"))
	{
		m_PayBackCoin = coinX;
		if (m_PaybackCoinList.IsEmpty())
		  m_PaidBack.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON_COINX));
		m_PaybackCoinList.AddTail(m_PayBackCoin);
	}

//    char *signm = csaEventSignalName(Evno);

    csaFreeMemory(client,signalname);
    csaFreeMemory(client,parameters);

  }
  UpdateData(FALSE);
}

void CToffeeMachineDlg::OnButtonToffee() 
{
    char *signalname = "button";  // The signal to be send. 
    char *qualifier = "\0";       // The qualifier of the signal. 
    long destination = 0;         // The destination process. 
    char *parameters = "'T'";     // The signal actual parameters.
    char *via = "InpC";           // The path (i.e. channel or gate) which the signal should go via. 

    if (csaSimulating(client) )
    {
    	sending = TRUE;
		if (!csaSendSignal(client,signalname, qualifier, destination, parameters, via) )
			AfxMessageBox("Selection of item Toffee failed!");	
		sending = FALSE;
	}
	else
		AfxMessageBox("Simulation stopped!");	
}

void CToffeeMachineDlg::OnButtonGum() 
{
	// TODO: Add your control notification handler code here
    char *signalname = "button";  // The signal to be send. 
    char *qualifier = "\0";       // The qualifier of the signal. 
    long destination = 0;         // The destination process. 
    char *parameters = "'G'";     // The signal actual parameters.
    char *via = "InpC";           // The path (i.e. channel or gate) which the signal should go via. 

    if (csaSimulating(client) )
    {
    	sending = TRUE;
		if (!csaSendSignal(client,signalname, qualifier, destination, parameters, via) )
			AfxMessageBox("Selection of item Chewing gum failed!");	
		sending = FALSE;
	}
	else
		AfxMessageBox("Simulation stopped!");	
}

void CToffeeMachineDlg::OnButtoncoin100() 
{
	// TODO: Add your control notification handler code here
    char *signalname = "coin100";  // The signal to be send. 
    char *qualifier = "\0";        // The qualifier of the signal. 
    long destination = 0;          // The destination process. 
    char *parameters = "\0";       // The signal actual parameters.
    char *via = "Pay";             // The path (i.e. channel or gate) which the signal should go via. 

    if (csaSimulating(client) )
    {
    	sending = TRUE;
		if (!csaSendSignal(client,signalname, qualifier, destination, parameters, via) )
			AfxMessageBox("Sending of coin100 signal failed!");	
		sending = FALSE;
	}
	else
		AfxMessageBox("Simulation stopped!");	
}


void CToffeeMachineDlg::OnButtoncoin50() 
{
    char *signalname = "coin50";   // The signal to be send. 
    char *qualifier = "\0";        // The qualifier of the signal. 
    long destination = 0;          // The destination process. 
    char *parameters = "\0";       // The signal actual parameters.
    char *via = "Pay";             // The path (i.e. channel or gate) which the signal should go via. 

    if (csaSimulating(client) )
    {
    	sending = TRUE;
		if (!csaSendSignal(client,signalname, qualifier, destination, parameters, via) )
			AfxMessageBox("Sending of coin50 signal failed!");	
		sending = FALSE;
	}
	else
		AfxMessageBox("Simulation stopped!");	
	
}


void CToffeeMachineDlg::OnButtoncoin10() 
{
    char *signalname = "coin10";   // The signal to be send. 
    char *qualifier = "\0";        // The qualifier of the signal. 
    long destination = 0;          // The destination process. 
    char *parameters = "\0";       // The signal actual parameters.
    char *via = "Pay";             // The path (i.e. channel or gate) which the signal should go via. 

    if (csaSimulating(client) )
    {
    	sending = TRUE;
		if (!csaSendSignal(client,signalname, qualifier, destination, parameters, via) )
			AfxMessageBox("Sending of coin10 signal failed!");	
		sending = FALSE;
	}
	else
		AfxMessageBox("Simulation stopped!");	
	
}

void CToffeeMachineDlg::OnButtonUndo() 
{
    char *signalname = "Undo";  // The signal to be send. 
    char *qualifier = "\0";     // The qualifier of the signal. 
    long destination = 0;       // The destination process. 
    char *parameters = "\0";    // The signal actual parameters.
    char *via = "InpC";         // The path (i.e. channel or gate) which the signal should go via. 

    if (csaSimulating(client) )
    {
    	sending = TRUE;
		if (!csaSendSignal(client,signalname, qualifier, destination, parameters, via) )
			AfxMessageBox("Sending of Undo signal failed!");	
		sending = FALSE;
	}
	else
		AfxMessageBox("Simulation stopped!");		
}

void CToffeeMachineDlg::OnTimer(UINT nIDEvent) 
{
    int interval = 100; // ms
    SetTimer(WM_TIMER,interval,NULL);
      durationcounter += interval;
    if (csaSimulating(client))
    { 
		ReceiveSignals();
    }
    if (duration == 0 || durationcounter/(1000*duration) > 0)
    {						// ExecuteCommand();
      durationcounter = 0;
    }	
	CDialog::OnTimer(nIDEvent);
}

void CToffeeMachineDlg::OnButtonProduct() 
{
	// TODO: Add your control notification handler code here
    m_Product.SetBitmap((HBITMAP) m_ProductPicEmpty);
	ItemEmpty = true;
	if (m_PaybackCoinList.IsEmpty())
		m_Display2 = "Ready";
	else
		m_Display2 = "Please take returned money";
}


void CToffeeMachineDlg::OnButtonPaidback() 
{
	// TODO: Add your control notification handler code here
	if (!m_PaybackCoinList.IsEmpty())
	{
		m_PayBackCoin = m_PaybackCoinList.RemoveHead();
		switch (m_PayBackCoin)
		{
			case coin10 : 
				m_PayBackVal -= 10;
				break;
			case coin50 : 
				m_PayBackVal -= 50;
				break;
			case coin100 : 
				m_PayBackVal -= 100;
				break;
			default : ;
		}

		if (m_PaybackCoinList.IsEmpty())
		{
  			m_PaidBack.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON_EMPTY));
			if (ItemEmpty) 
				m_Display2 = "Ready";
			else
				m_Display2 = "Please take item";
		}
		else
		{
			m_PayBackCoin = m_PaybackCoinList.GetHead();
			switch (m_PayBackCoin)
			{
			case coin10 : 
				m_PaidBack.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON_COIN10));
				break;
			case coin50 :
				m_PaidBack.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON1_COIN50));
				break;
			case coin100 :
				m_PaidBack.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON1_COIN100));
				break;
			case coinX :
				m_PaidBack.SetIcon (AfxGetApp ()->LoadIcon (IDI_ICON_COIN10));
				break;
			}
			if (ItemEmpty) 
				m_Display2 = "Please take returned money";
			else
				m_Display2 = "Please take item and returned money";
		}
	}
}

void CToffeeMachineDlg::OnShowsdl() 
{
  hidesdl = !hidesdl;
  csaHideWindow(client,hidesdl);
	
}
